classification
Title: isspace(0xa0) is true on Mac OS X
Type: behavior Stage: resolved
Components: macOS Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: inada.naoki, ronaldoussoren
Priority: normal Keywords: needs review, patch

Created on 2009-10-06 14:07 by inada.naoki, last changed 2010-04-18 15:12 by ronaldoussoren. This issue is now closed.

Files
File name Uploaded Description Edit
issue7072.patch ronaldoussoren, 2010-03-07 12:10
Messages (3)
msg93650 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2009-10-06 14:07
Old FreeBSD's libc has a bug relate to utf-8 locale and Python have 
patch for it: http://svn.python.org/view/python/trunk/Include/pyport.h?
view=diff&pathrev=43219&r1=36792&r2=36793

This bug appears in Mac OS X again. This test fails:
>>> s = '\xa0'
>>> assert s.strip() == s
>>> import locale
>>> locale.setlocale(locale.LC_ALL, 'en_US.UTF-8')
'en_US.UTF-8'
>>> assert s.strip() == s

So above patch should be enabled for Mac OS X.
msg100575 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-03-07 12:10
I've attached a patch that fixes the issue and enables all test_locale tests on OSX 10.6. 

(I will test if the tests can also be enabled on 10.5 when applying the patch).
msg103494 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-04-18 15:12
Fixed in r80178 (trunk), r80180 (2.6), r80182 (3.2), r80183 (3.1)
History
Date User Action Args
2010-04-18 15:12:12ronaldoussorensetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg103494

stage: resolved
2010-03-20 18:38:31jafosetpriority: normal
2010-03-07 12:10:46ronaldoussorensetkeywords: + needs review, patch
files: + issue7072.patch
resolution: accepted
messages: + msg100575
2009-11-10 18:41:31ned.deilysetassignee: ronaldoussoren

nosy: + ronaldoussoren
components: + macOS
versions: - Python 3.0
2009-10-06 14:07:44inada.naokicreate